# mdtraj.load_xml

mdtraj.load_xml(filename, top=None)

  Load a single conformation from an OpenMM XML file.

  The OpenMM serialized state XML format contains additional information that is not read by this method, including forces, energies, and velocities. Here, we just read the positions and the box vectors.

  Parameters:

    - filename (path-like) – The path on disk to the XML file

    - top ({str, Trajectory, Topology}) – The XML format does not contain topology information. Pass in either the path to a pdb file, a trajectory, or a topology to supply this information.

  Returns:

    trajectory – The resulting trajectory, as an md.Trajectory object.

  Return type:

    md.Trajectory